Bug Hunting Session
Bug 64131 - EDITING: DDE function does not work for Name Ranges with Local Scope
Summary: EDITING: DDE function does not work for Name Ranges with Local Scope
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
4.0.3.1 rc
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Cell-Reference
  Show dependency treegraph
 
Reported: 2013-05-01 18:56 UTC by m.a.riosv
Modified: 2018-07-24 02:37 UTC (History)
1 user (show)

See Also:
Crash report or crash signature:


Attachments
File with DDE() function (8.53 KB, application/x-vnd.oasis.opendocument.spreadsheet)
2013-05-01 18:56 UTC, m.a.riosv
Details
Linked file with named ranges (8.08 KB, application/x-vnd.oasis.opendocument.spreadsheet)
2013-05-01 18:57 UTC, m.a.riosv
Details

Note You need to log in before you can comment on or make changes to this bug.
Description m.a.riosv 2013-05-01 18:56:07 UTC
From a question in Ask.
http://ask.libreoffice.org/en/question/15867/manage-calc-cell-name-global-or-by-sheet/

DDE() does not work with range names with local scope.

Win7x64 Ultimate
LibreOffice Version 4.0.3.1 (Build ID: a67943cd4d125208f4ea7fa29439551825cfb39)

LibreOffice 3.5.7.2 Build ID: 3215f89-f603614-ab984f2-7348103-1225a5b

Maybe there is some way to reference the range names with local scope?
Comment 1 m.a.riosv 2013-05-01 18:56:41 UTC
Created attachment 78733 [details]
File with DDE() function
Comment 2 m.a.riosv 2013-05-01 18:57:07 UTC
Created attachment 78734 [details]
Linked file with named ranges
Comment 3 Owen Genat (retired) 2013-06-05 13:19:51 UTC
Confirmed under GNU/Linux with TDF/LO v4.0.3.3. Setting status to NEW. The message presented is the one introduced by this commit if this is any help:

http://lists.freedesktop.org/archives/libreoffice-commits/2011-June/013389.html

Also appears related to this AskLO query:

http://ask.libreoffice.org/en/question/15386/using-dde-linking-in-calc-newer-than-v331/

...which would seem to indicate it goes back to at least v3.5.7.2.
Comment 4 Owen Genat (retired) 2013-06-05 14:01:18 UTC
A search for earlier related reports has revealed bug #36311 which is possibly the same problem. The example files in that bug throw the same error but on a cell reference range (e.g., Element : 'Action Plan 2 Year 1'.C52:N52). The era of that bug (v3.3.2) would also appear to be more in keeping with the version comments in the AskLO thread I linked in comment #3. I have left the version as reported for now.

The comments by Kohei Yoshida in #6 and #8 of that bug would seem to indicate that the "Link to External Data" facility is the preferred method moving forwards. Adding a Depends On link to the indicated bug for reference. If this is not the right approach, can someone please make an appropriate link? Thanks.
Comment 5 Markus Mohrhard 2013-06-10 07:20:39 UTC
(In reply to comment #4)
> A search for earlier related reports has revealed bug #36311 which is
> possibly the same problem. The example files in that bug throw the same
> error but on a cell reference range (e.g., Element : 'Action Plan 2 Year
> 1'.C52:N52). The era of that bug (v3.3.2) would also appear to be more in
> keeping with the version comments in the AskLO thread I linked in comment
> #3. I have left the version as reported for now.
> 
> The comments by Kohei Yoshida in #6 and #8 of that bug would seem to
> indicate that the "Link to External Data" facility is the preferred method
> moving forwards. Adding a Depends On link to the indicated bug for
> reference. If this is not the right approach, can someone please make an
> appropriate link? Thanks.

These two bug reports have nothing to do with each others.
Comment 6 QA Administrators 2015-03-16 22:53:15 UTC Comment hidden (obsolete)
Comment 7 m.a.riosv 2015-03-17 02:27:47 UTC
Reproducible:
Win7x64
Version: 4.4.2.1
Build ID: 93fc8832889bf050a10ec6d0171dae213adc9b55
Comment 8 tommy27 2016-04-16 07:23:24 UTC Comment hidden (obsolete)
Comment 9 QA Administrators 2017-05-22 13:23:18 UTC Comment hidden (obsolete)
Comment 10 m.a.riosv 2017-05-22 22:35:16 UTC
Still
Version: 5.5.0.0.alpha0+
Build ID: 7662b11cad6105d56fb9acc9c431c89d3b68dc89
CPU threads: 4; OS: Windows 6.19; UI render: GL; 
TinderBox: Win-x86@39, Branch:master, Time: 2017-05-20_10:09:09
Locale: es-ES (es_ES); Calc: CL
Comment 11 QA Administrators 2018-07-24 02:37:57 UTC
** Please read this message in its entirety before responding **

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug